It was fixed few days ago. You need kernel > 3.7-rc2.